Subject: bug#56421: [PATCH] Make mouse-2 respect delete-selection mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 11 Jul 2022 12:58:28 +0200

Juri Linkov <[email-masked]> writes:

>>> If you think we should be consistent, then I'd rather drop the patch
>>> than add yet another defcustom.  It isn't hard to copy those lines to my
>>> config anyway.
>>
>> Let's see if anyone else has an opinion here.
>
> This should be the right thing to do, some time ago
> we already discussed this because I had these uncommitted lines:
>
> +(put 'mouse-yank-primary 'delete-selection 'yank)
> +(put 'mouse-yank-at-click 'delete-selection 'yank)
> +(put 'menu-bar-select-yank 'delete-selection 'yank)

I agree, so I've applied Visuwesh's patch to Emacs 29.

> BTW, I also had this line
>
> +(put 'just-one-space 'delete-selection t)
>
> but since M-SPC is bound to cycle-spacing now,
> I'm not sure about M-SPC anymore.  How does
> cycle-spacing handle regions?  Maybe it should
> squeeze all consequent spaces to one space
> everywhere in the region?

Hm, not sure either.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no